package com.bonus.sgzb.material.mapper;

import com.bonus.sgzb.material.domain.SecondaryWarehouse;
import com.bonus.sgzb.material.domain.TeamLeaseInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author c liu
 * @date 2024/2/29
 */
@Mapper
public interface SecondaryWarehouseMapper {
    List<SecondaryWarehouse> getList(SecondaryWarehouse bean);

    int addOperate(TeamLeaseInfo bean);

    List<TeamLeaseInfo> getOperateList(TeamLeaseInfo bean);

    List<TeamLeaseInfo> getRecordsOne(TeamLeaseInfo bean);

    List<TeamLeaseInfo> getRecordsTwo(TeamLeaseInfo bean);

    List<TeamLeaseInfo> getRecordsThree(TeamLeaseInfo bean);

    List<TeamLeaseInfo> getRecordsFour(TeamLeaseInfo bean);

    /**
     * 查看退库操作详情
     * @param bean
     * @return
     */
    List<TeamLeaseInfo> getRecordsFive(TeamLeaseInfo bean);

//    List<TeamLeaseInfo> getNewRecordsFive(TeamLeaseInfo bean);

    int addNewOperate(TeamLeaseInfo bean);

    Integer selectStockNum(SecondaryWarehouse secondaryWarehouse);

    List<TeamLeaseInfo> getNewRecords(TeamLeaseInfo bean);
}
